Bug 255403 - emulators/i386-wine-devel: Update to 6.5 & take maintainership
Summary: emulators/i386-wine-devel: Update to 6.5 & take maintainership
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Nuno Teixeira
URL: https://www.winehq.org/announce/5.22
Keywords:
Depends on:
Blocks:
 
Reported: 2021-04-25 21:03 UTC by Alexander Vereeken
Modified: 2021-05-15 11:14 UTC (History)
1 user (show)

See Also:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Alexander Vereeken 2021-04-25 21:03:36 UTC
Hello,

this is an update to 5.12

Differential Revision: https://reviews.freebsd.org/D29982
Comment 1 Nuno Teixeira freebsd_committer 2021-05-14 06:15:16 UTC
Hello!

I did poudriere testport tests and Q/A tests show warnings:

====> Running Q/A tests (stage-qa)
Warning: 'lib32/libwine.so.1' is not stripped consider trying INSTALL_TARGET=install-strip or using ${STRIP_CMD}
Warning: 'lib32/libXfixes.so.3' is not stripped consider trying INSTALL_TARGET=install-strip or using ${STRIP_CMD}
Warning: 'lib32/libintl.so.8' is not stripped consider trying INSTALL_TARGET=install-strip or using ${STRIP_CMD}
(...)

Could you take a look at my logs, I think that they can be solved with
INSTALL_TARGET=install-strip or using ${STRIP_CMD}

https://people.freebsd.org/~eduardo/logs/
Comment 2 Alexander Vereeken 2021-05-14 10:22:00 UTC
This message has always been present in these packages, is it really necessary?
Comment 3 Nuno Teixeira freebsd_committer 2021-05-15 08:44:05 UTC
(In reply to Alexander Vereeken from comment #2)
stripping means removing debug symbols. It can reduce the size of the executable by well more than 50%.
Comment 4 commit-hook freebsd_committer 2021-05-15 09:28:30 UTC
A commit in branch main references this bug:

URL: https://cgit.FreeBSD.org/ports/commit/?id=32781aa038637a79722819db9067f8b6713ae09c

commit 32781aa038637a79722819db9067f8b6713ae09c
Author:     Alexander Vereeken <Alexander88207@protonmail.com>
AuthorDate: 2021-05-15 09:20:28 +0000
Commit:     Nuno Teixeira <eduardo@FreeBSD.org>
CommitDate: 2021-05-15 09:27:24 +0000

    emulators/i386-wine-devel: Update to 6.5 & take maintainership

    - Submitter becomes maintainer

    ChangeLog: https://www.winehq.org/announce/6.5

    PR:             255403
    Approved by:    dbaio, garga (mentors, implicit)
    Differential Revision:  https://reviews.freebsd.org/D29982

 emulators/i386-wine-devel/Makefile             |   4 +-
 emulators/i386-wine-devel/Makefile.amd64       |   6 +-
 emulators/i386-wine-devel/distinfo             |  18 +--
 emulators/i386-wine-devel/files/binbounce      |   3 +
 emulators/i386-wine-devel/files/pkg-message.in |  11 ++
 emulators/i386-wine-devel/pkg-plist            | 163 ++++++++++++++++++++++++-
 6 files changed, 187 insertions(+), 18 deletions(-)
Comment 5 Nuno Teixeira freebsd_committer 2021-05-15 09:31:28 UTC
Commited thanks!
Comment 6 Alexander Vereeken 2021-05-15 11:14:44 UTC
Thank you!